/* Generated with Author-it 5.0.11.625  11/26/2008 3:57:46 PM */
Page=new Array();Page[0]=new Array("ISBN: N/A ","Parallels ","660 SW 39th Street","Suite 205","Renton, Washington 98057","USA","Phone: +1 (425) 282 6400 ","Fax: +1 (425) 282 6444 ","© Copyright 2008, ","Parallels, Inc. ","All rights reserved ","Distribution of this work or derivative of this work in any form is prohibited unless prior written permission is obtained from the copyright holder.","Product and service names mentioned herein are the trademarks of their respective owners.","Legal and Copyright Notice","epl_copyright_notice.htm");
Page[1]=new Array("Before you start using this guide, it is important to understand the documentation conventions used in it. ","The following kinds of formatting in the text identify special information.","Formatting convention","Type of Information","Example","Special Bold","Items you must select, such as menu options, command buttons, or items in a list.","Go to the System tab.","Titles of chapters, sections, and subsections.","Read the Basic Administration chapter.","Italics","Used to emphasize the importance of a point, to introduce a term or to designate a command line placeholder, which is to be replaced with a real name or value.","The system supports the so called wildcard character search.","Monospace","The names of commands, files, directories, and domain names.","The license file is located in the http://docs/common/licenses directory.","Preformatted","On-screen computer output in your command-line sessions; source code in XML, C++, or other programming languages.","# ls &#0150;al /files","total 14470","Preformatted Bold","What you type, contrasted with on-screen computer output.","# cd /root/rpms/php","CAPITALS","Names of keys on the keyboard.","SHIFT, CTRL, ALT","KEY+KEY","Key combinations for which the user must press and hold down one key and then press another.","CTRL+P, ALT+F4","Typographical Conventions","typographical_conventions.htm");
Page[2]=new Array("If you have found a mistake in this guide, or if you have suggestions or ideas on how to improve this guide, please send your feedback using the online form at http://www.parallels.com/en/support/usersdoc/. Please include in your report the guide's title, chapter and section titles, and the fragment of text in which you have found an error.","Feedback","feedback.htm");
Page[3]=new Array("This guide provides instructions for installing Parallels Pro Control Panel 10.3.3 (formerly known as Ensim Pro) for Linux® on a server running any of the following operating systems&#0151; FC 6 (Fedora&#8482; Core 6), FC 4, CentOS 4.4 (Community Enterprise Operating System 4.4), RHEL 5 (Red Hat® Enterprise Linux ES Release 5), and RHEL 4. ","Note: FC 4 operating system is supported only with 32-bit architecture, and all other operating systems are supported with both 32-bit and 64-bit architecture.","For simplicity, Parallels Pro Control Panel for Linux is referred to as &quot;Parallels Pro Control Panel&quot; throughout the document.","About This Guide","2494.htm");
Page[4]=new Array("Parallels Pro Control Panel is a robust control panel solution for small and large professional hosting providers. Parallels Pro Control Panel includes all the tools and features that you, as a hosting provider, need to build compelling, commercial-quality plans for shared and reseller hosting. ","With Parallels Pro Control Panel, you can:","Define targeted, compelling Service Plans for shared site and reseller hosting. By defining a Service Plan once, you can establish new customers quickly, while controlling application settings and resource quotas.","Customize the look and feel of the control panel to suit your branding preferences.","Review detailed reports of bandwidth and disk usage per site and allow accurate and complete billing of all traffic used by sites.","Protect shared sites with a virtual private file system and provide additional site security.","Delegate administration to your customers, including your resellers, site owners, and site users, while simultaneously reducing your support calls and improving customer satisfaction.","About Parallels Pro Control Panel for Linux","2400.htm");
Page[5]=new Array("The following sections describe the minimum system requirements and provide a checklist to help you prepare for the installation.","Before You Install","2401.htm");
Page[6]=new Array("Your system must meet the following minimum requirements for installing Parallels Pro Control Panel.","Requirement","Description","Operating system","Any of the following operating systems: FC 6 (Fedora&#8482; Core 6), FC 4, CentOS 4.x (Community Enterprise Operating System 4.x), CentOS 5.x, RHEL 5 (Red Hat® Enterprise Linux ES Release 5), RHEL 4 ES, RHEL 4 AS.","Note: FC 4 operating system is supported only with 32-bit architecture, and all other operating systems are supported with both 32-bit and 64-bit architecture.","File system","EXT3","Important: Quotas may not function as intended if you use other file systems.","RAM","256 MB","Processor","Intel Pentium® II or III processor, class 500 MHz or above or any Intel-compatible CPU of 500 MHz speed or above","Disk space","At least 40 GB. You may want to customize your disk partitions to manage the available disk resources on the target server. For information on customizing disk partitions, refer to the document Parallels Pro Control Panel for Linux Technical Reference Guide at the Parallels Pro Control Panel for Linux Documentation page (http://www.parallels.com/en/pro/docs). ","Disk partition","/boot: At least 75 MB","/: All of the remaining disk space as Parallels Pro Control Panel uses the /home directory to store the site information.","You may want to customize your disk partitions to manage the available disk resources on the target server. For information on customizing disk partitions, refer to the document Ensim Pro for Linux Technical Reference Guide at the Parallels Pro Control Panel for Linux Documentation page (http://www.parallels.com/en/pro/docs).","Security Level","When installing the operating system, firewall is enabled by default. Ensure that you disable this option, before proceeding with the installation.","Connectivity","Network connectivity with Internet access.","FTP access","Required if you want the installer to obtain the installation files from Parallels Pro Control Panel FTP server or your local FTP server.","License","You need a valid license key before you can install Parallels Pro Control Panel. When you buy Parallels Pro Control Panel from the Parallel Pro Control Panel online store (http://www.parallels.com/en/buyonline/pro/), you receive the license key in the order confirmation email from Parallels.","Other requirements","&quot;root&quot; user access","The system files /etc/hosts, /etc/resolv.conf, /etc/sysconfig/network, and /etc/sysconfig/network-scripts/ifcfg-eth0 on the target server must include the entries as specified below. If the entries are not present, use an editor to modify the files.","/etc/hosts file","---/etc/hosts begin file--","127.0.0.1 localhost.localdomain localhost","1.2.3.4 myhost.mydomain.com myhost","---/etc/hosts end file--","Important: If you use the -x option with the installer to specify the network interface on which sites are to be provisioned, make sure that you add the IP address of the interface as the first entry in the          /etc/hosts file before running the installer.","/etc/resolv.conf file","---/etc/resolv.conf begin file--","primary_name_server ip_address","secondary_name_server ip_address","---/etc/resolv.conf end file--","/etc/sysconfig/network file","---/etc/sysconfig/network begin file--","NETWORKING=yes","DOMAIN=mydomain.com","HOSTNAME=myhost.mydomain.com","GATEWAY=ip_address_gateway","---/etc/sysconfig/network end file--","/etc/sysconfig/network-scripts/ifcfg-eth0 file","---/etc/sysconfig/network-scripts/ifcfg-eth0 begin file--","DEVICE=eth0","ONBOOT=yes","BOOTPROTO=static","IPADDR=IP_address_host_server","NETMASK=netmask_value (please check with your service provider)","GATEWAY=ip_address_gateway","---/etc/sysconfig/network-scripts/ifcfg-eth0 end file--","Minimum Requirements","6815.htm");
Page[7]=new Array("Use the following checklist to verify that you have adequately prepared your system for a successful installation.","Verify that the swap partition size of the target server is adequate."," Verify that you have installed the following RPMs on the target server:","up2date (if using Red Hat Network (RHN) to obtain RPM updates).","You must install the RPM up2date on the server if you want to use RHN for obtaining RPM updates.","After installing the RPM, run the up2date utility to register the server with RHN.","spamassassin-3 or later version.","You must install the RPM spamassassin-3 or later on the server before you install Parallels Pro Control Panel.","Verify that you have set up the yum repository containing the operating system RPMs, RPM updates, and RPM extras (required only if using yum to obtain and update RPMs).","Set up a yum repository on your local FTP server or on the server on which you are installing Parallels Pro Control Panel. The installer obtains the operating system RPMs, required RPM updates, and RPM extras from the repository.","Important: Parallels Pro Control Panel is compatible with yum version 2.4 or later. If an earlier version is installed, the installer tries to install/update the installed version; however, to avoid installation failures, it is recommended that you verify the version of yum installed on the server. To verify the yum version, run the following command at the prompt: /usr/bin/yum --version","For instructions on setting up a yum repository on your local FTP server, refer to the document Setting up a Local FTP server to install Parallels Pro Control Panel for Linux at the Parallels Pro Control Panel for Linux Documentation page (http://www.parallels.com/en/pro/docs). ","Verify that you have access to one of the following software repositories for installing Parallels Pro Control Panel.","Parallels Pro Control Panel FTP server.","The installer obtains the installation files from Parallels Pro Control Panel FTP server. The installer knows the address of the FTP server.","Local FTP server.","he installer obtains the installation files from your local FTP server. For instructions on setting up a local FTP server, see Setting up a local FTP server to install Parallels Pro Control Panel for Linux at the Parallels Pro Control Panel for Linux Documentation page (http://www.parallels.com/en/pro/docs). ","Verify that you have disabled SELinux (if installed).","If you enabled SELinux at the time of installing the operating system, disable it and restart the server before proceeding to install Parallels Pro Control Panel, otherwise the installation fails with an error.","Parallels Pro Control Panel Installation Checklist","2403.htm");
Page[8]=new Array("The following section provides instructions for installing Parallels Pro Control Panel. Ensure that your system meets the minimum requirements for a successful installation. Before installing Parallels Pro Control Panel, the installer automatically runs the System Checker to ensure that your system is compatible for a successful installation. For more information, see the system checker overview (Appendix B. Overview of the Parallels Pro Control Panel System Checker).","Note: Parallels Pro Control Panel can also be installed on a Virtuozzo server. The Virtuozzo server allows you to create multiple, isolated virtual environments on a single physical server. For more information on the prerequisites for installing Parallels Pro on a Virtuozzo server please search the Parallels Pro Control Panel Knowledge Base articles (http://kb.swsoft.com/en/products/ensimprolinux).","To install Parallels Pro Control Panel, you need to:","Obtain the installer script ","Install Parallels Pro Control Panel ","Installation Instructions","2404.htm");
Page[9]=new Array("You can obtain the installer script from the FTP server or from the download page (http://www.parallels.com/download/pro/linux/1033/).","Obtaining the Installer Script","2405.htm");
Page[10]=new Array("Before you start the installation:","Make sure that you are using the installer that corresponds to your operating system. For more information, see Obtaining the Installer Script section.","During installation, if you select any option other than the Everything option, then refer the List of RPMs to verify the RPMs required on the Parallels Pro Control Panel server.","You can install Parallels Pro Control Panel in one of the following ways:","Attended installation. An attended installation is interactive and requires you to engage with the installation process from time to time to provide responses to installation queries. An attended installation is appropriate if you want to customize the installation with your preferences.","Unattended installation. An unattended installation is a hands-free installation process invoked using the option --assume-yes. The installer sets the value yes to installation queries that require a yes or no response.","The following query is set to yes during the installation:","The system check(s) is complete, and has encountered either warnings or errors. If you wish to browse the results, the output has been stored in &lt;log_file_name&gt;. Would you like to continue? ('y'/'n')[n]:","Installing Parallels Pro Control Panel","2406.htm");
Page[11]=new Array("To perform an attended installation:","Access the installer script as described in Obtaining the Installer Script section.","Run the installer script by typing the following command at the prompt. For key script options, see the command options. Use the --help option with the script to learn more about the various command line options you can use with the script.","python ensim-installer.py -n&lt;admin_username&gt; -p &lt;admin_passwd&gt;","-m&lt;admin_email&gt; &lt;installation_files_source&gt; &lt;os_update_repository&gt;","Examples","In the following example, the command installs Parallels Pro Control Panel on RHEL by obtaining the necessary Parallels Pro Control Panel files from Parallels FTP server and the operating system RPMs, updates RPM and extras RPM from RHN.","python ensim-installer.py -nadmin -ppasswd - m example1@example.com","The installer begins installation of Parallels Pro Control Panel.","All the services and add-ons provided by Parallels Pro Control Panel are installed. The installation events are recorded in the log file /var/log/ensim/installer.&lt;version&gt;.&lt;release&gt;-&lt;install attempt&gt;.log. If you encounter problems during the installation, refer to the Troubleshooting Section to resolve them. After addressing the issues, you can resume the installation by running the installer at the command prompt. The installer resumes the installation from the point of failure.","Before you use Parallels Pro Control Panel to provision resellers accounts and organizations, you need to complete certain tasks using the Server Administrator control panel. See Next Steps for information.","Attended Installation","2407.htm");
Page[12]=new Array("To perform an unattended installation:","Access the installer script as described in Obtaining the Installer Script  section.","Run the script with the --assume-yes option. The --assume-yes option sets the value yes to installation queries that require a yes or no response. For key script options, see the command options. Use the --help option with the script to learn more about the various command line options you can use with the script.","python ensim-installer.py -n&lt;admin_username&gt; -p&lt;admin_passwd&gt; <br>-m&lt;admin_email&gt; &lt;installation_files_source&gt; &lt;os_update_repository&gt; --assume-yes","Example","In the following example, the command installs Parallels Pro Control Panel on RHEL by obtaining the necessary Parallels Pro Control Panel files from Parallels Pro Control Panel FTP server and the operating system RPMs and updates from RHN.","<br>python ensim-installer.py -nadmin -ppasswd -m example1@example.com","The installer begins installation of Parallels Pro Control Panel.","All the services and add-ons provided by Parallels Pro Control Panel are installed. The installation events are recorded in the log file /var/log/ensim/installer.&lt;version&gt;.&lt;release&gt;-&lt;install attempt&gt;.log. If you encounter problems during the installation, refer to the troubleshooting section Troubleshooting Installation or Installer Issues to resolve them. After addressing the issues, you can resume the installation by running the installer at the command prompt. The installer resumes the installation from the point of failure.","Before you use Parallels Pro Control Panel to provision resellers accounts and organizations, you need to complete certain tasks using the Server Administrator control panel. See Next Steps for information.","Unattended Installation","2408.htm");
Page[13]=new Array("Below is the list of options of Parallels Pro Control Panel installer. Default values, if available, appear in [].","Option","Description","-h, --help"," Show this help message and exit.","-V VERSION_TO_INSTALL, --version-to-install=VERSION_TO_INSTALL","Version of PPCPL that will be installed or upgraded to. ","Note: Do not use this option with '-E' option. You cannot specify version when use '-E' option.","-B BUILD_TO_INSTALL, --build-to-install=BUILD_TO_INSTALL","Build number of PPCPL that will be installed or upgraded to.","Note: Do not use this option with '-E' option. You cannot specify version when use '-E' option.","-n ADMINNAME, --adminname=ADMINNAME"," ISP Administrator's user name (not applicable for upgrades).","-p ADMINPASS, --adminpasswd=ADMINPASS","ISP Administrator's password (not applicable for upgrades).","-m ADMINEMAIL, --adminemail=ADMINEMAIL","ISP Administrator's email (not applicable in upgrades). All notifications will be sent to the provided email address.  Please note that you will not be able to receive notifications of critical failures if you do not provide a valid email address.","--assume-yes ","Assume yes as the answer if prechecks are                        performed.This flag is ignored if prechecks are not performed (when using the -s option)."," -c, --cdrom"," If specified, searches for Parallels Pro Control Panel rpms on the CD-ROM."," -e EMAIL, --email=EMAIL","Address to which any installation logs should be sent.","-k LICKEY, --key=LICKEY","Provide the license key. This is optional and can be performed after installation.","-E ENSIM_REPOS, --ensim-source=ENSIM_REPOS","&lt;yum baseurl&gt;:  A yum-style baseurl pointing to a yum repository for the PPCPL  Control Panel rpms. [http://                      download.pro.parallels.com/ensim/apt/ensim/EPL/&lt;version&gt;/                      i386/rhel.4ES.12/RPMS.lwp]","--exclude=EXCLUDE_RPMS","&lt;pkg1,pkg2,...&gt;: A comma-separated list of packages that should be excluded from consideration when                       upgrading/installing.","-f FTP_SERVER, --ftp-server=FTP_SERVER","&lt;FTP server&gt;: The name of an FTP server that has the same directory structure as the PPCPL FTP server. Any base URLs not specified in the command line will use this server. [download.pro.parallels.com]"," --ftp-pass=FTP_PASS ","&lt;password&gt;: The password to use when accessing data on the FTP server. Any base URLs not specified in the                       commandline will use this password. ","--ftp-user=FTP_USER"," &lt;user&gt;: The user name to use when accessing data on the FTP server. Any base URLs not specified in the                      command line will use this user name. [ftp] ","-o OS_REPOS, --os-source=OS_REPOS","&lt;yum baseurl&gt;: A yum-style base url pointing to a yum repository for the operating system rpms.","-d, --skip-mirrors"," If specified, this option will disable the default behaviour of pulling mirrors to solve dependencies.","-s, --skip-checker","If specified, no prechecks are performed.","-u UPDATES_REPOS, --updates-source=UPDATES_REPOS","&lt;yum baseurl&gt;: A yum-style base url pointing to a yum repository for any operating system updates.","-a EXTRAS_REPOS, --extra-source=EXTRAS_REPOS","&lt;yum baseurl&gt;: A yum-style baseurl pointing to a yum repository for any operating system updates.","-x INTERFACE, --interface=INTERFACE","&lt;interface&gt;: An interface (eth0/eth1/wan0 )  that will be set.","--updater=UPDATER "," Specify the updater tool to use. (yum, up2date) [yum].","--force","this option is possible to be used with -E option to force install script to work with PPCPL version/build which are not supported         by the script. Additionally, it is possible to specify this option to re-install the version which is already installed to the system.","  ","Command Options","2409.htm");
Page[14]=new Array("Parallels Pro Control Panel 10.3.2 and up introduces the installation from Parallels Virtuozzo Containers Templates. ","Installing from Parallels Virtuozzo Containers Templates","17065.htm");
Page[15]=new Array("Before installing Parallels Pro CP from Parallels Virtuozzo Containers Templates, prepare your Virtuozzo Containers according to the requirements below.","Before the Installation","17082.htm");
Page[16]=new Array("Before creating the Containers and installing Parallels Pro CP, log in as root to your Hardware Node. Open the /etc/sysconfig/vz file and change the value of the VZPRIVRANGE  to &quot;1 N&quot; where N is max ID of Container you will be using, for example:","VZPRIVRANGE=&quot;1 10000&quot;","Parallels Virtuozzo Containers Hardware Node Configuration","17083.htm");
Page[17]=new Array("On this step you have to create Virtuozzo Containers meeting the following requirements:","It is recommended to use SLM memory scheme","A minimum configuration of RAM is 396MB. Recommended 512MB and 1024 if tomcat4 is used.","PPCP requires at least DISKINODES=&quot;200000:220000&quot;","PPCP requires at least DISKSPACE=&quot;2097154:2097154&quot;","PPCP requires at least QUOTAUGIDLIMIT=&quot;900&quot;","It is not recommended to use Application templates before you install Parallels Pro CP.","Make sure the quotaugidlimit disk resource is enabled for a container. For more info, refer to Turning On and Off Second-Level Quotas for Container section of the Virtuozzo Containers for Linux Documentation (User's Guide) available at  http://www.parallels.com/en/products/virtuozzo/docs/.","Important: before proceeding with the Containers installation, make sure that the hostname &#0150;i command doesn't return 127.0.0.1 IP","Containers Creation","17084.htm");
Page[18]=new Array("To install Parallels Pro Control Panel into Virtuozzo Containers:","Download the respective Parallels Pro Virtuozzo Container Template:","FC4 i386: http://download.pro.parallels.com/ensim/apt/ensim/EPL/10.3.3/ez/ppcpl10-fedora-core-4-x86-ez-4.0.0-421.parallels.noarch.rpm","FC6 i386: http://download.pro.parallels.com/ensim/apt/ensim/EPL/10.3.3/ez/ppcpl10-fedora-core-6-x86-ez-4.0.0-2.parallels.noarch.rpm","FC6 x86_64: http://download.pro.parallels.com/ensim/apt/ensim/EPL/10.3.3/ez/ppcpl10-fedora-core-6-x86_64-ez-4.0.0-2.parallels.noarch.rpm","RHEL4 ES i386: http://download.pro.parallels.com/ensim/apt/ensim/EPL/10.3.3/ez/ppcpl10-redhat-es4-x86-ez-4.0.0-2.parallels.noarch.rpm","RHEL4 ES x86_64: http://download.pro.parallels.com/ensim/apt/ensim/EPL/10.3.3/ez/ppcpl10-redhat-es4-x86_64-ez-4.0.0-2.parallels.noarch.rpm","RHEL4 AS i386: http://download.pro.parallels.com/ensim/apt/ensim/EPL/10.3.3/ez/ppcpl10-redhat-as4-x86-ez-4.0.0-2.parallels.noarch.rpm","RHEL4 AS x86_64: http://download.pro.parallels.com/ensim/apt/ensim/EPL/10.3.3/ez/ppcpl10-redhat-as4-x86_64-ez-4.0.0-2.parallels.noarch.rpm","CentOS 4 i386: http://download.pro.parallels.com/ensim/apt/ensim/EPL/10.3.3/ez/ppcpl10-centos-4-x86-ez-4.0.0-2.parallels.noarch.rpm","CentOS 4 x86_64: http://download.pro.parallels.com/ensim/apt/ensim/EPL/10.3.3/ez/ppcpl10-centos-4-x86_64-ez-4.0.0-2.parallels.noarch.rpm","RHEL5 ES i386: http://download.pro.parallels.com/ensim/apt/ensim/EPL/10.3.3/ez/ppcpl10-redhat-el5-x86-ez-4.0.0-2.parallels.noarch.rpm","RHEL5 x86_64: http://download.pro.parallels.com/ensim/apt/ensim/EPL/10.3.3/ez/ppcpl10-redhat-el5-x86_64-ez-4.0.0-2.parallels.noarch.rpm","CentOS 5 i386: http://download.pro.parallels.com/ensim/apt/ensim/EPL/10.3.3/ez/ppcpl10-centos-5-x86-ez-4.0.0-2.parallels.noarch.rpm","CentOS 5 x86_64: http://download.pro.parallels.com/ensim/apt/ensim/EPL/10.3.3/ez/ppcpl10-centos-5-x86_64-ez-4.0.0-2.parallels.noarch.rpm","Follow the Virtuozzo Container Template installation instructions provided in the Managing EZ Templates section of the Templates Management Guide available at http://www.parallels.com/en/products/virtuozzo/docs/.","Note:  Uninstallation of template is not supported.","Installation Procedure","17086.htm");
Page[19]=new Array("The following section describes issues that you may encounter during the installation. You may refer to the log file /var/log/ensim/installer.&lt;version&gt;.&lt;release&gt;-&lt;install attempt&gt;.log for details. If you encounter problems that you cannot troubleshoot using the log file or the information in the following table, contact  Parallels Pro Control Panel support (http://www.parallels.com/en/support/pro/).","Symptom","Description","Solution","When you run the command &quot;hostname&quot; the value &quot;myhost&quot; is returned by the command instead of &quot;myhost.mydomain.com&quot;.","The host name of the server is incorrect.","Check the file /etc/sysconfig/network. The host name must be a fully qualified domain name. See the following example.","Incorrect: myhost","Correct: myhost.mydomain.com","Unable to connect to Parallels Pro Control Panel  FTP server.","Failed to download the metadata from Parallels Pro Control Panel FTP server.","Error initializing setup.","Ensure that your server is connected to the Internet.","Cannot download or install updates.","Error downloading/installing updates.","The error log contains a list of all the updates that could not be downloaded. Download these updates and install them on the server, before re-starting the server to install Parallels Pro Control Panel.","During installation, the <br>following message is <br>displayed: check_hostname &lt;FAILED&gt;.","The host file is incorrect.","The file /etc/hosts should contain the host name and IP address of your server (see the following example). If it does not, use an editor to modify the file.","Example","---/etc/hosts begin file--","127.0.0.1 localhost.localdolocalhost","1.2.3.4 myhost.mydomain.com myhost","---/etc/hosts end file--","where 1.2.3.4 is the IP address of myhost.mydomain.com","Cannot download Parallels Pro Control Panel.","Error downloading Parallels Pro Control Panel.","Ensure that your server is connected to the Internet.","Troubleshooting Installation or Installer Issues","2410.htm");
Page[20]=new Array("Before you use Parallels Pro Control Panel to perform provisioning or management operations, you must provide the license key information, if you have not provided the information at the time of installation. You receive the license key in the order confirmation email when you buy Parallels Pro Control Panel.","Open a Web browser and enter the URL http://&lt;server host name (or IP address)&gt;/admin to access the control panel.","Log in to the Server Administrator control panel using the account information specified at the time of installation.","Provide the license information (25-character alphanumeric license key).","Next Steps","2411.htm");
Page[21]=new Array("The following tables list the RPMs required on the Parallels Pro Control Panel server for the operating systems supported by Parallels Pro Control Panel for Linux. If you are using -d option (see the Command Options section) during installation make sure that you have these RPMs installed on the Parallels Pro Control Panel server for your corresponding operating system.","Note: The RPMs list for RHEL and CentOS operating systems are the same. However, during the installation of RPMs on a 64-bit operating system, you may need to download and install multilib RPMs (i386, noarch, i686, x86_64) like expat, zlib, gdbm and others to resolve dependencies.","The RPMs in boldface indicate the updated RPMs that can be downloaded from the Web site of the corresponding operating systems.","The RPMs in Italics indicate the extra RPMs that can be downloaded from the Fedora Extras, which is available on the Fedora Web site.","For faster installations, set up a repository of these RPMs as described in the document Setting up a Local FTP Server to Install Parallels Pro Control Panel for Linux at The Parallels Pro Control Panel for Linux Documentation page (http://www.parallels.com/en/pro/docs).","Appendix A. List of RPMs","2412.htm");
Page[22]=new Array("List of common RPMs for RHEL4 and RHEL5","apr","mysql-server","apr-devel","ncompress","apr-util","net-snmp","apr-util-devel","openldap-devel","bind","openssl097a","caching-nameserver","perl-DateManip","compat-db","perl-DBD-MySQL","compat-libstdc++","perl-DBD-Pg","curl","perl-DBI","cyrus-sasl-devel","perl-Digest-HMAC","db4-devel","perl-Digest-SHA1","distcache","perl-libxml-perl","expat","perl-Net-DNS","expat-devel","perl-XML-Dumper","gcc","perl-XML-Grove","gcc-c++","perl-XML-Parser","gd","perl-XML-Twig","gdbm","php","glibc-devel","php-imap","glibc-headers","php-ldap","httpd","php-mbstring","httpd-devel","php-mysql","libc-client","php-pgsql","libidn","postgresql","libstdc++-devel","postgresql-libs","libxslt-python","postgresql-server","lm_sensors","sendmail-cf","mod_perl","spamassassin","mod_ssl","telnet-server","mx","unixODBC","Mysql","webalizer","MySQL-python","Common RPMs for RHEL4 and RHEL5","2413.htm");
Page[23]=new Array("List of RPMs for RHEL4","atk","perl-HTML-Parser","cpp","perl-HTML-Tagset","glibc-kernheaders","perl-libxml-enno","gtk2","perl-libxml-perl","httpd-devel","perl-Parse-Yapp","httpd-suexec","perl-Time-HiRes","ImageMagick","perl-URI","libart_lgpl","perl-XML-Encoding","libgcj","php-pear","libtool-libs","postgresql-python","libungif","PyXML","mysqlclient10","tcl","net-snmp-libs","vim-common","pango","zlib","pcre-devel","RPMs for RHEL4","2414.htm");
Page[24]=new Array("List of RPMs for RHEL5","bind-libs","perl-IO-Socket-INET6","cyrus-sasl-md5","perl-IO-Socket-SSL","giflib","perl-IO-Zlib","gmp","perl-Net-IP","libgomp","perl-Net-SSLeay","libtool-ltdl","perl-Socket6","libXpm","php-cli","libxslt","php-common","pcre","php-pdo","perl","postgresql-python","perl-Archive-Tar","sqlite","perl-BSD-Resource","xinetd","RPMs for RHEL5","2415.htm");
Page[25]=new Array("List of common RPMs for FC4 and FC6","apr-util","openldap-devel","apr-util-devel","perl-Archive-Zip","clamav","perl-DateManip","clamav-data","perl-DBD-MySQL","clamav-lib","perl-DBD-Pg","clamav-update","perl-DBI","compat-db","perl-libwww-perl","compat-libstdc++-33","perl-libxml-perl","cyrus-sasl-devel","perl-Parse-Yapp","db4-devel","perl-XML-Twig","expat-devel","perl-XML-Dumper","fedora-usermgmt","perl-XML-Parser","fedora-usermgmt-setup","php-imap","fedora-usermgmt-shadow-utils","php-mysql","httpd-devel","php-pgsql","ImageMagick","postgresql","libc-client","postgresql-libs","libtool-ltdl","postgresql-python","libwmf","postgresql-server","libxslt-python","proftpd","lm_sensors","python-crypto","mx","python-kid","mysql","sendmail-cf","MySQL-python","telnet-server","mysql-server","xinetd","ncftp","zope","net-snmp","Common RPMs for FC4 and FC6","2416.htm");
Page[26]=new Array("List of RPMs for FC4","apr","mod_perl","apr-devel","mod_ssl","atk","ncompress","chkfontpath","net-snmp-libs","compat-db","pango","cpp","pcre","curl","pcre-devel","distcache","perl-bsd-resource","dmidecode","perl-Compress-Zlib","gcc","perl-Digest-HMAC","gcc-c++","perl-Digest-SHA1","gd","perl-HTML-Parser","ghostscript","perl-HTML-Tagset","ghostscript-fonts","perl-inline","glibc","perl-libxml-enno","glibc-common","perl-Net-DNS","glibc-devel","perl-Time-HiRes","glibc-headers","perl-URI","glibc-kernheaders","perl-XML-Encoding","gmp","perl-XML-Grove","gtk2","php","httpd","php-ldap","httpd-devel","php-pear","libart_lgpl","PyXML","libgcc","spamassassin","libgcj","ttmkfdir","libidn","urw-font","libstdc++","vim-common","libstdc++-devel","webalizer","libungif","xorg-x11-font-utils","libxml2","xorg-x11-xfs","libxml2-python","yum","libxslt","RPMs for FC4","2417.htm");
Page[27]=new Array("List of RPMs for FC6","apr-devel","libstdc++-devel","bind","perl-XML-DOM","caching-nameserver","perl-XML-RegExp","cyrus-sasl-md5","perl-XML-XQL","fedora-usermgmt-core","php-mbstring","fedora-usermgmt-default-fedora-setup","phpMyAdmin","gcc","php-pdo","gcc-c++","python-cherrypy","glibc-devel","pyzor","glibc-headers","tcl","libgomp","unixODBC","RPMs for FC6","2418.htm");
Page[28]=new Array("Before installing Parallels Pro Control Panel, the installer performs a system check to ensure that your system provides a compatible platform for successful installation. The System Checker reports potential conflicts and ways to resolve them. At the end of the check, it displays the number of errors or warnings encountered. The results of the system check (list of checks, status of each check, and details about errors or warnings) are logged in the file /var/log/ensim/installer.&lt;version&gt;.&lt;release&gt;-&lt;install-attempt&gt;.log and can be viewed after the completion of the installation process.","Appendix B. Overview of the Parallels Pro Control Panel System Checker","2419.htm");
Page[29]=new Array("As the System Checker performs each check, it displays the name of the check, a brief description, and the outcome of the check.","The outcome can be any of the following:","OK. Displayed when the check is successful.","WARNING. Displayed when the check encounters an exception that may interfere with the installation process.","ERROR. Displayed when the check encounters an exception that will interfere with the installation process and cause it to fail.","When the outcome of the check is a warning or an error, details about the exception are provided.","The System Checker report provides the following information:","A detailed list of exceptions observed on the server","Recommended actions to be performed","Note: The recommended actions provide general solutions for problems. If they are appropriate for your problems, perform the recommended actions and run the installer again. For instructions, see Installing Parallels Pro Control Panel.","At the end of the check, a summary of the results is displayed, in the following format:","SUMMARY for &lt;hostname&gt;: &lt;n&gt; error(s), &lt;m&gt; warning(s)","Where:","&lt;hostname&gt; is the host name of your Parallels Pro Control Panel server","&lt;n&gt; indicates the number of errors","&lt; m&gt; indicates the number of warnings","Interpreting the Results of the System Check","2420.htm");
var PageCount=30;

function search(SearchWord){
var Result="";
var NrRes=0;
Result='<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">\n';
Result+="<html>\n";
Result+="<head>\n";
Result+="<title>Search Results</title>\n";
Result+="<meta http-equiv='Content-Type' content='text/html; charset=utf-8'>\n";
Result+='<script language="javascript" type="text/javascript" charset="utf-8" src="dhtml_search.js"></script>\n';
Result+='<link rel="stylesheet" type="text/css" href="stylesheet.css">\n';
Result+="</head>\n";
Result+="<body onload='javascript:document.SearchForm.SearchText.focus()'>\n";


/* old */ /*

Result+='<p class="searchDetails">Enter a keyword or phrase';

Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}
Result+='<input type="text" name="SearchText" size="25" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/></form>';
Result+='</p>\n';
*/ 
/* new */


Result+='<form name="SearchForm" action="javascript:search(document.SearchForm.SearchText.value)">';
Result+='<p class="searchDetails">Enter a keyword or phrase';

if(SearchWord.length>=1){
   while(SearchWord.indexOf("<")>-1 || SearchWord.indexOf(">")>-1 || SearchWord.indexOf('"')>-1){
       SearchWord=SearchWord.replace("<","&lt;").replace(">","&gt;").replace('"',"&quot;");
   }
}

Result+='<input type="text" name="SearchText" class="inputText" value="' + SearchWord + '" />';
Result+='&nbsp;<input type="submit" value="&nbsp;go&nbsp;"/>';
Result+='</p>\n';
Result+='</form>\n';

/* end */



if(SearchWord.length>=1){
   SearchWord=SearchWord.toLowerCase();
   this.status="Searching, please wait...";
   Result+="<table border='0' cellpadding='0' cellspacing='0' class='tocTable' width='90%'>";

   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){
                NrRes++;
               break; }}}

   Result+="<tr><td class='search'><p class='searchFound'>" + NrRes + " results found</p></td></tr>";

   for(j=0;j<PageCount;j++){
       k=Page[j].length-1;
       for(i=0;i<k;i++){
           WordPos=Page[j][i].toLowerCase().indexOf(SearchWord);
           if(WordPos>-1){

               FoundWord=Page[j][i].substr(WordPos,SearchWord.length);
               NrRes++;
               Result+="<tr><td class='search'><p class='searchResults'>";
               Result+="<a target='BODY' href='"+Page[j][k]+"'>"+Page[j][k-1].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"</a><br/>\n";

               if(i<k-1){
                   if(Page[j][i].length>350){
                       Result+="..."+Page[j][i].substr(WordPos-100,200+FoundWord.length).replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"...\n";
                   }
                   else{
                       Result+=Page[j][i].replace(FoundWord,"<span class='searchFoundWord'>"+FoundWord+"</span>")+"\n";
                   }
               }
               Result+="</p></td></tr>";
               break;			   
           }		   
       }	   
   }
     
   Result+="</table>";
   

}

Result+="</body></html>";
this.status="";
this.document.open();
this.document.write(Result);
this.document.close();
}